#include <bits/stdc++.h>
using namespace std;

// ?Ni=1|xi-xA|·|yi-yA|
/* 3
2 1
1 2
3 3

0 1 4 */

int raz(vector<pair<int, int>>& tacke, int br, int x, int y)
{
    int res = 0;
    for(int i = 0; i <= br; i++) {
        res += abs(tacke.at(i).first - x) * abs(tacke.at(i).second - y);
    }
    return res;
}

int main()
{
    int n, maxR, tmp;
    vector<pair<int, int>> tacke;

    cin >> n;
    tacke.resize(n);
    for(int i = 0; i < n; i++) {
        cin >> tacke.at(i).first >> tacke.at(i).second;
    }

    cout << 0 << endl;
    if(tacke.size() == 1) { return 0; }
    for(int i = 1; i < n; i++) {
        maxR = -1;
        for(int j = 0; j <= i; j++) {
            for(int k = 0; k <= i; k++) {
                tmp = raz(tacke, i, tacke.at(j).first, tacke.at(k).second); 
                if(tmp > maxR)
                {
                    maxR = tmp;
                }
            }
        }
        cout << maxR << endl;
    }
    return 0;
}